using System;

namespace XGame.Framework.Map
{
    public class MapKey
    {

        public string Key { get; private set; }
        /// <summary>
        /// MapView的类型
        /// </summary>
        public Type MapViewType { get; private set; }
        public MapKey(string key, Type mapViewType)
        {
            Key = key;
            MapViewType = mapViewType;
        }

        public static implicit operator string(MapKey mapKey) => mapKey.Key;
        public override string ToString() => Key;
    }
}